<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The config property contains a declaration of a single  configuration property for a ManagedConnectionFactory instance.    Each ManagedConnectionFactory instance creates connections to a specific EIS instance based on the properties configured on the ManagedConnectionFactory instance. The configurable properties are specified only once in the deployment descriptor, even though a resource adapter can be used to configure multiple ManagedConnnection-Factory instances (that create connections to different instances of the same EIS).    The declaration consists of an optional description, name, type  and an optional value of the configuration property. If the resource  adapter provider does not specify a value than the deployer is  responsible for providing a valid value for a configuration property.    Any bounds or well-defined values of properties should be described in the description.">
<meta name="KeyWords" content="ConfigProperty,Class ConfigProperty,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;ConfigProperty&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;config&nbsp;property&nbsp;contains&nbsp;a&nbsp;declaration&nbsp;of&nbsp;a&nbsp;single
<BR>configuration&nbsp;property&nbsp;for&nbsp;a&nbsp;ManagedConnectionFactory&nbsp;instance.
<BR>
<BR>Each&nbsp;ManagedConnectionFactory&nbsp;instance&nbsp;creates&nbsp;connections&nbsp;to&nbsp;a&nbsp;specific&nbsp;EIS&nbsp;instance&nbsp;based&nbsp;on&nbsp;the&nbsp;properties&nbsp;configured&nbsp;on&nbsp;the&nbsp;ManagedConnectionFactory&nbsp;instance.&nbsp;The&nbsp;configurable&nbsp;properties&nbsp;are&nbsp;specified&nbsp;only&nbsp;once&nbsp;in&nbsp;the&nbsp;deployment&nbsp;descriptor,&nbsp;even&nbsp;though&nbsp;a&nbsp;resource&nbsp;adapter&nbsp;can&nbsp;be&nbsp;used&nbsp;to&nbsp;configure&nbsp;multiple&nbsp;ManagedConnnection-Factory&nbsp;instances&nbsp;(that&nbsp;create&nbsp;connections&nbsp;to&nbsp;different&nbsp;instances&nbsp;of&nbsp;the&nbsp;same&nbsp;EIS).
<BR>
<BR>The&nbsp;declaration&nbsp;consists&nbsp;of&nbsp;an&nbsp;optional&nbsp;description,&nbsp;name,&nbsp;type
<BR>and&nbsp;an&nbsp;optional&nbsp;value&nbsp;of&nbsp;the&nbsp;configuration&nbsp;property.&nbsp;If&nbsp;the&nbsp;resource
<BR>adapter&nbsp;provider&nbsp;does&nbsp;not&nbsp;specify&nbsp;a&nbsp;value&nbsp;than&nbsp;the&nbsp;deployer&nbsp;is
<BR>responsible&nbsp;for&nbsp;providing&nbsp;a&nbsp;valid&nbsp;value&nbsp;for&nbsp;a&nbsp;configuration&nbsp;property.
<BR>
<BR>Any&nbsp;bounds&nbsp;or&nbsp;well-defined&nbsp;values&nbsp;of&nbsp;properties&nbsp;should&nbsp;be&nbsp;described&nbsp;in&nbsp;the&nbsp;description.
<BR></font><BR><BR>
</body>
</html>
